function [max_R1,max_R2,max_L1,max_L2] = Hip_Power(Markers)
a = strfind(Markers.Labels,'LHipPower'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty


for i=1:length(a) 
    if a{i}==1
        l=i*3  %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end        
end

d=length(Markers.RawData(:,1)); %spocitani delky sloupce
max_L1 = max(Markers.RawData(1:d,l));%vyhledani prvniho maxima
max_L2 = max(Markers.RawData(d/2:end-160,l)); %vyhledani druheho maxima      

b = strfind(Markers.Labels,'RHipPower'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty


for i=1:length(b) 
    if b{i}==1
        r=i*3   %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end
end

max_R1 = max(Markers.RawData(1:d/2,r));%vyhledani prvniho maxima
max_R2 = max(Markers.RawData(d/2:end-100,r));  %vyhledani druheho maxima      
  % vykresleni grafu, popsani os   
figure

plot(Markers.RawData(:,l),'r')
hold on
plot(Markers.RawData(:,r),'g')
title('Hip Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
legend('Left hip power', 'Right hip power')

% figure
% subplot(2,1,1)
% plot(Markers.RawData(:,l))
% title('Left Hip Power')
% xlabel('Samples [N]')
% ylabel('Power [W/kg]')
% hold on
% subplot(2,1,2)
% plot(Markers.RawData(:,r))
% title('Right Hip Power')
% xlabel('Samples [N]')
% ylabel('Power [W/kg]')
% w=[max_L1,max_L2]
% z=[max_R1,max_R2]
end